summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-21 01:45:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-21 01:45:53 +0000
commit234649179ab1bb776162432ea449a9a1ca468835 (patch)
tree1717ce0b139e3a8abeb404f2a5c293cce062d236 /dev-python
parent24f1b5839988fdc4a5f6601a1aeb9521ae8c3134 (diff)
downloadbaldeagleos-repo-234649179ab1bb776162432ea449a9a1ca468835.tar.gz
baldeagleos-repo-234649179ab1bb776162432ea449a9a1ca468835.tar.xz
baldeagleos-repo-234649179ab1bb776162432ea449a9a1ca468835.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.24.ebuild2
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.2.3.ebuild70
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.19.0.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.22.0.ebuild50
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.54.3.ebuild51
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.23.4.ebuild62
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.1.2.ebuild45
-rw-r--r--dev-python/kconfiglib/kconfiglib-14.1.0.ebuild13
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-7.3.4.ebuild34
-rw-r--r--dev-python/mkdocs-minify-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.5.0.ebuild25
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/Manifest1
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-1.5.4.ebuild22
-rw-r--r--dev-python/numpy/Manifest4
-rw-r--r--dev-python/numpy/numpy-1.21.3.ebuild143
-rw-r--r--dev-python/seaborn/Manifest1
-rw-r--r--dev-python/seaborn/seaborn-0.11.2.ebuild33
-rw-r--r--dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild (renamed from dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r3.ebuild)2
-rw-r--r--dev-python/tzlocal/Manifest1
-rw-r--r--dev-python/tzlocal/tzlocal-4.0.1.ebuild27
-rw-r--r--dev-python/urwidtrees/files/urwidtrees-1.0.3-no-mock-dep.patch (renamed from dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch)0
-rw-r--r--dev-python/urwidtrees/urwidtrees-1.0.3.ebuild2
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.8.1.ebuild31
31 files changed, 670 insertions, 11 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.24.ebuild b/dev-python/GitPython/GitPython-3.1.24.ebuild
index 6dbcea797b6e..27724a0fddaa 100644
--- a/dev-python/GitPython/GitPython-3.1.24.ebuild
+++ b/dev-python/GitPython/GitPython-3.1.24.ebuild
@@ -23,7 +23,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-vcs/git
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 52d060705d36..c5971acfbb6f 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,2 +1,3 @@
DIST aesara-rel-2.2.1.tar.gz 8166022 BLAKE2B af3c17029dacb3d365bf49eb01d4d03b5a4f770f66d3e5eba2c4576ef156056bc1aca3571442c1cb7352c358978b47faa7af70ca0da2a2168d8c9bfd47b17138 SHA512 f7bab8ca80e8d13ef7698c1efa56ff37c561786330bf756c7a00c54ae1f131810d68bfd6e328b0705d45788759bd984d42306d2c545d2de6b9a3592b5c021ad8
DIST aesara-rel-2.2.2.tar.gz 8174668 BLAKE2B c95347e8b74f6600c3570177f86b7ebd7511899ed0ceb24a2d79a03a44ee498a8062b92fb79867f59b609f66315704ee92e28e12a5ab600d54d0d35ef799b66b SHA512 d5f62e42c36100b2fd25eba492590eb306b1394aa01bf2e90d43e84ac67701e5b756be6bc08d0e6b82fb1f37689dbbba1d7ef67c8525555a700a634d742056bb
+DIST aesara-rel-2.2.3.tar.gz 8179701 BLAKE2B 53ef58d6f0ab33e7efe3d0eaa2b55153a2ab29c958b48f52f814fecf7f5fa65424465470cde0ebb8d2ef1ced6968fd01217d9f7bd61acc8843cde1a9c0a94cbe SHA512 21414230c0be2c31e08fd371ee69c3bb7098b2134a5aec006abeca00a333e025fcbfd10ebdcbf54d243e1bc8c45f301a2c3443531ba5eaf0fe3a1ac5645ae4f5
diff --git a/dev-python/aesara/aesara-2.2.3.ebuild b/dev-python/aesara/aesara-2.2.3.ebuild
new file mode 100644
index 000000000000..3cf1e5f99421
--- /dev/null
+++ b/dev-python/aesara/aesara-2.2.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="https://github.com/aesara-devs/aesara"
+SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e "s/tests.\*/tests\*/" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local exclude=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+
+ distutils_install_for_testing
+ # we do not package numba
+ epytest ${exclude[@]/#/--deselect } \
+ --ignore tests/link/test_numba.py \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+# https://dev.gentoo.org/~mgorny/python-guide/concept.html#packaging-pkgutil-style-namespaces-in-gentoo
+python_install() {
+ rm "${BUILD_DIR}"/lib/bin/__init__.py || die
+ distutils-r1_python_install
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index df77045b7af1..5d63f26a4add 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.18.62.tar.gz 428868 BLAKE2B cb3d5cf5a0b2a15e5d881ce262d9dede08aa56a
DIST boto3-1.18.63.tar.gz 429243 BLAKE2B 67b61ebe0d5a7c4d83922a3ec110e5d4e33c705e2a38031f218d2e059b1f8d9428d7307f0b5a581a60ef23068793e61cf6597827ffbb2a8714aed1e0716ac361 SHA512 d8f83d9edd730d40063f2cda759ad527d811c3f4bc7a8c450c3d426c7842e35481ae138e53dca2ce6ab4a30d06610f454c31a0d3259d56fe553f5b6d1ad58db7
DIST boto3-1.18.64.tar.gz 429469 BLAKE2B c0e423871631017ef9aa5f1e89ada9c82c4c81762f724f7919005cca7078cfb008fd489cf1498a3011b2de0a4b0ac8da1ab0a5aeb8cd54667f4607d8e9fa1168 SHA512 1d56868fb8d6699aa118d1296ae9535d08143329e1df5281b29f6e4b9b7452846d3988ffb6fb66eace93e605e6bac9e04cf2e67f0a25b2b90dde27b02212587a
DIST boto3-1.18.65.tar.gz 429858 BLAKE2B fbc80e0d8d10f6d02fcf9b86c6b4be03a9c908318c507a7cde1eef0c36d8fe3a5d3be0f8c6178edfdd8bc82adf112f297a5f127cd2b442ce10fe4d37b3a21fa4 SHA512 631d8f618fb6d55b338b563e72e1ccc751b8937bb2660d033b885951ea5ec3ac6902f8c7b9918664d764be84fdef5af4e7a87d444cbc154ebf5ae06908f90714
+DIST boto3-1.19.0.tar.gz 430753 BLAKE2B 24b18d5ac312cac54952e6abc0da80e09c7618ba7c24903d5539d182ce7deb71a5f4198dd66f71650a35192d2146aa6754a25c8ba30138476e8b16b822eb3969 SHA512 4c127d2503e48a3c74367b13831fb5907aa398a173e2793362f070136092e6f2c37e3c4c0e1aed21c11b02d9ada31a22b842d83ef4d47ac78e3d4541a0afe717
diff --git a/dev-python/boto3/boto3-1.19.0.ebuild b/dev-python/boto3/boto3-1.19.0.ebuild
new file mode 100644
index 000000000000..30a0b44d3f8c
--- /dev/null
+++ b/dev-python/boto3/boto3-1.19.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8ea2479892e5..5fa124c5d88f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.21.62.tar.gz 8256122 BLAKE2B cf51c1aa4890dd3deb9da8b4c51b89cd4c0
DIST botocore-1.21.63.tar.gz 8256427 BLAKE2B 7b6a4d29005cdf127881a88b51ffb3162698df011d7345137537666e92a01a00e44c0fc7edc8ec4c17d3d30ddc5ae801b253b0704e70c37f6de1979cd2fe86fb SHA512 e67b56d3549bd70101f322da04eacca261c2afe9cd2c065ac290b4266fed5342cb8f15a2edc144006c5dc91692a95ac49d9d2fde86db4014511bdc3bd95d9193
DIST botocore-1.21.64.tar.gz 8258628 BLAKE2B 5a335085224ed86eb2364a67198f1fe8d745102e38ed3cab47821d5bd03c6163ccd7754fc2201384d16d28c9aaf2c0ad447f97374e1b6414739688c788b3b122 SHA512 f40aca854103d97f8d36d178cd5a8fc19e1bde63476c570ae357f2526a82054c3e26a4db26a996df23d66a09bb4ef9354372010b726499cce0021d2dd48c7bb6
DIST botocore-1.21.65.tar.gz 8261668 BLAKE2B c955019d06aa1b2f4503673b7d9009e5d6e07ee4348e730e6b4d11285f3030f676f0efda58a72dd92cac8c6ba0cb57f8f879eb5298009ecbd227904d18a453bf SHA512 955d24d2d486524af7bee57a56e2e903458030420198f3e6ab49d61be52b812a98444a9d0f86503b121270d6642345ffad6053ad143374dc56ab908b385afb0a
+DIST botocore-1.22.0.tar.gz 8275754 BLAKE2B f0acbccf0c451f6cdd75495c15140c8c65bad567ab9f43c0cf77de8b1736689865688816f3b60ab697552f872f7027d26046050828dc0ad7666d5567b3b613ae SHA512 7f39cb16573d9ae4649ad67bb402f2d2fbd371f8818ec2573f7826e71828c559e37e6759e2c6ab8a05d6fa97ce53bac0a94f6d30dea0c184a079e97d1fba3597
diff --git a/dev-python/botocore/botocore-1.22.0.ebuild b/dev-python/botocore/botocore-1.22.0.ebuild
new file mode 100644
index 000000000000..9cd77a5ad4d0
--- /dev/null
+++ b/dev-python/botocore/botocore-1.22.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index b91e413329b8..d0233fe01fe3 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.53.1.tar.gz 7561747 BLAKE2B 2561a04344c567cf9e1e62cdd65e6de0bf8efd17072b5562021055e65c140d8453062fb0019f56f1a8c520043e1215e7c5db894af53801dff26a6e2422688d4f SHA512 3832e6aac7b9a3e638dcf46103a83882fa0bd3778d95aa5837fb7bfe2c9dd10c13ac4434e371396e2f65fe39a36b3f7fb8c7cce52b628fe7dd3fc17ed313f8b6
DIST cfn-lint-0.54.1.tar.gz 7605760 BLAKE2B 3ce3895ed67b50fab85cb13ab34c2f1a8339a7e68467a82be7c9dde67cef0c700d3d9fcf3cac18afc657abef81316d5c770b8fe97ebdcfc81ca5b97e17fbf011 SHA512 742059b42c3df5a50102d437a11b03890f1579bc5769ca72a033477c9335b5a5d4b5a02973615b98ba9b8ee4022b86c82edac3490a0ec8c9a3f241afe84a9d03
DIST cfn-lint-0.54.2.tar.gz 7658613 BLAKE2B a29a55756bc4f3fa2ebecc02365025911af238938717c7fd42d5b0707f80ec4149b1986fa3bd66cd704c20468437ee25a47d23c0e551f8e0793eed15499a8361 SHA512 185e0231bb49521b33232678bbd610004821872a5ba4f29bf6c7a4b1df884ab216ce7b4b61af164da7ae31ec83bed066d045c743bc7687690fe542d6f7f6b71e
+DIST cfn-lint-0.54.3.tar.gz 7806470 BLAKE2B b61cb4b46e7c9d04aa70d2542e2aee0d029cc265ca3b85d9bd1c9ddcf2d22a56b28d74f27d6ccf5348cef7224e1ca9d1efec3e5a7b478e8bb87afcb0d39b3da8 SHA512 40e593f0bf092dafca7d7a801deaf2e09c37f4421d58b9244a2da533c3079da076dab70cb974868fd3eb9300ef69897414b03854f8e8fee139e1f5b4781795fc
diff --git a/dev-python/cfn-lint/cfn-lint-0.54.3.ebuild b/dev-python/cfn-lint/cfn-lint-0.54.3.ebuild
new file mode 100644
index 000000000000..e11ded664f96
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.54.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.38.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 8ed7dcbdf49e..a3e57beba41d 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-python-6.23.0.tar.gz 9166945 BLAKE2B 89d8a642262dfcbd36d83343c5e
DIST hypothesis-python-6.23.1.tar.gz 9167114 BLAKE2B 324df90b9fc09dbaf599905b503119eed22ad32898d118d08cb5a84cbb3a514d0bfea51eca0c9878f3a330702d4822c5c311e9c6e091a6baed51285d8d326c5e SHA512 2d6a10ef6b47e0bc08c90aee62a9f009c5bfe7d64bc6f87fed72232c40a43b86e0ecc744527a611f3cfec571051c4bef3986c4e1970f92526e70bf7f5e523519
DIST hypothesis-python-6.23.2.tar.gz 9167318 BLAKE2B 0a1ccf0235c64dd69705e48f67c132021898a024e8ae035d2ffc8a416c45443931ffff4a67a13f1c1ee7bbc2201e6f4ca5363568f0ed2ea4743ae46569e45ef1 SHA512 704b8d8c15e1fd510206c8d07f6a0f0bc81249bbc036978e4864e8ce234e35bab89069b0d5a0e958c57fe31fdb63fcc454502ac633d6fd986aaea9841383f36b
DIST hypothesis-python-6.23.3.tar.gz 9167498 BLAKE2B 04d0111d7ff5516ed25c9dc9e8c9793489b5fbf009688bf97a0c7f84ea241bcb0112eb57ba177a7bf23944e7288b0694a3db0f01b5357901b34eea86c5cf67c2 SHA512 9212076c61175960fd638b9b75b8a0f51b75969c93c6b5b2aedacadfc08860931b8f1bfad21b34ca34c0ee64609b34b3027342bbf093aa0e5c304706f081f60a
+DIST hypothesis-python-6.23.4.tar.gz 9167755 BLAKE2B c953e54abf704f1e4d8ab74abb046c19a9bd7e1f32ae7a17133d2b042ce5a06063999249284e0afa2d650575b69bca646e52bfdb3648ac2972077f4d74b82557 SHA512 9d178545bb6c6cb8ecebbaeefea16b5d7390691536b724742b94a94d881ccc4b2f1b82f865fd7860b0f9b688c19aa60929aabf2e7ba8ce255ee5bbf79ed873ab
diff --git a/dev-python/hypothesis/hypothesis-6.23.4.ebuild b/dev-python/hypothesis/hypothesis-6.23.4.ebuild
new file mode 100644
index 000000000000..8b48444a4699
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.23.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -p no:pytest-describe \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 0ac076a08062..dcc3340564f1 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -2,3 +2,4 @@ DIST jsonschema-3.2.0.tar.gz 167226 BLAKE2B f89a8198f6b7b4dd56b0320ddecdd834423c
DIST jsonschema-4.0.1.tar.gz 290999 BLAKE2B d693a33ef705a401187bdf603aacfd0336eab16afc0e38c5133ff6a74e4f0b323172d5abac0959163e40f546eedb75fe2b71f2ca53e7bbe1bf4f00ad977873b9 SHA512 50a2dd6423e8aca76e0a33e33a63bb7d1500abac891076426112c4577277d1f0322d06ec0ba5a9f47c65e5981f0cce768801e55e2f03ab6b0b6d2f884249b5fb
DIST jsonschema-4.1.0.tar.gz 306755 BLAKE2B a98f1050943543ac51a2e0a7242a8bab909805d660a21e13909748e847493fd7c1f513beb3dac1126e57ffd23bf6702bae52902a5ac6aa7ab94b39833fc40b0c SHA512 288c28d80dc3540386db8774783bbba67455cacd81232aa41e065a9b22fed85dc1bdddb955f8438735bef0f1eb2b2947ab07c66344adb486ef77b31b345f1182
DIST jsonschema-4.1.1.tar.gz 310026 BLAKE2B c14bee88d20c53e4198e58b946c92a5c505a205daa09c30c474c2e95af45414b1c527298a2e0df647acd79ccbe9344c2aa03ee3e1b7daafda76153248e73f794 SHA512 7afa1bffd9631a503277479595cc9ed9a58ecd0f8f9035a2b65e4005f9f58ff4f6fa968b5ca783aa22c4530fc4acc5e2ea1ef2f67b7f4f09f245e9a6f2b2c3bd
+DIST jsonschema-4.1.2.tar.gz 310016 BLAKE2B 16ec4f73a16980ec69e4c8e0d937726a6fcbf7ba0ba24dc9d76b5bf107b924fb3917927748e3dafacc0305322e9cb405daa83800dcfd5f2fcc63dbb8fe10a25a SHA512 5ab43602cfc2dfe07a8c733f01915b4961ee88ebb37723a7a3a6ee4793ddae4b4638abe77ac9d192158ae7634aacee0c58fa2959288ea0f83e3403d5f8b9f185
diff --git a/dev-python/jsonschema/jsonschema-4.1.2.ebuild b/dev-python/jsonschema/jsonschema-4.1.2.ebuild
new file mode 100644
index 000000000000..a9f02a2c4f3e
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.1.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="https://pypi.org/project/jsonschema/ https://github.com/Julian/jsonschema"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ ' pypy3)
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uritemplate[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild b/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
index 38db2c235147..2ee1571faf8f 100644
--- a/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
+++ b/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
@@ -1,25 +1,22 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_REQ_USE="ncurses"
-
inherit distutils-r1
DESCRIPTION="A flexible Python Kconfig implementation"
HOMEPAGE="https://github.com/ulfalizer/Kconfiglib https://pypi.org/project/kconfiglib/"
SRC_URI="https://github.com/ulfalizer/Kconfiglib/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S=${WORKDIR}/${P^}
# pypi tarballs don't include tests
#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-S=${WORKDIR}/${P/k/K}
python_prepare_all() {
distutils-r1_python_prepare_all
@@ -28,9 +25,9 @@ python_prepare_all() {
mkdir Kconfiglib || die
ln -s ../tests Kconfiglib || die
# don't run kernel Kconfig compat tests
- sed -i 's/run_compatibility_tests()$/#\0/' testsuite.py || die
+ sed -e 's/run_compatibility_tests()$/#\0/' -i testsuite.py || die
}
python_test() {
- "${PYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
+ "${EPYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index ad34bc83bc36..697c6fb92b09 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1 +1,2 @@
DIST mkdocs-material-7.2.6.tar.gz 6804732 BLAKE2B 908a076d032a251baa9bde0255a1f8bbf12799cda3e0cec5bf332ad824f9e5bbc920c579b12f80d491488e01b6547f324c9617aaacdcdff573c49c61f5c54ffb SHA512 9b871ef8cd1d27e50df62f8de428d59bd4fec27dc76401fac36cb1ff6961416a25ddd2f133ab6eef80297e43359014ab7b482a93295650e5cf21e1b6fd2e4b1e
+DIST mkdocs-material-7.3.4.tar.gz 7319409 BLAKE2B 5e3805bdb4186637795011436281d5e2082fa7ec9d3f2eb07e2ee3ceb245ae1dbe81d461f59529fe2b821042a254b6d69a0838f01f470387bccca4a9a85179a3 SHA512 052245d69e7d19bdfa4db7e2d1d880cf49bd850ea79371cd222ecaab8964840e5b2b09bf4646f1a30f56b0161be6f3f163bcc81291ccbb0e6f47f7c24e741ab8
diff --git a/dev-python/mkdocs-material/mkdocs-material-7.3.4.ebuild b/dev-python/mkdocs-material/mkdocs-material-7.3.4.ebuild
new file mode 100644
index 000000000000..7bcbb9207a68
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-7.3.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material
+ https://pypi.org/project/mkdocs-material
+"
+SRC_URI="https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.0[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-material-extensions-1.0[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/mkdocs-minify-plugin/Manifest b/dev-python/mkdocs-minify-plugin/Manifest
index b255b8f94587..3ece867a1c82 100644
--- a/dev-python/mkdocs-minify-plugin/Manifest
+++ b/dev-python/mkdocs-minify-plugin/Manifest
@@ -1 +1,2 @@
DIST mkdocs-minify-plugin-0.4.0.tar.gz 3097 BLAKE2B b1bba66539cc3470e922ff2bd1c6ae21de401ea343e2bd313bc93ec692e15794476681d48c9dceb9edd09f3c6274dd9174d5861137312ce9b9836e02f34a52e4 SHA512 6a42f649a2a867b2c796de3c602f19375705859fc9b3592fc1d8c102b42a96d7bb7150a4f75b281843ece40bd19ca5bb82654c658e1fe6d1b94f34c8279b2602
+DIST mkdocs-minify-plugin-0.5.0.tar.gz 3387 BLAKE2B bce05582eab831976b430d5c331c0e51cecf790f4db6f3bd089ff6f0f5421c0b824c9bf6637a6b00555eee203b23cbd5fc3a0e81fcb5a8697ab7c06e94a9d2e0 SHA512 a31770c9de39439ba5eb4e35acd088aa7df2d7fa39f7942819c0b25429abb7b2b0626765f26f4d4fc77fd11e48dfdf90f9eb93e999cf7b641bb630c852eec50a
diff --git a/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.5.0.ebuild b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.5.0.ebuild
new file mode 100644
index 000000000000..ad8bbb9f23ff
--- /dev/null
+++ b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.5.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="An MkDocs plugin to minify HTML and/or JS files prior to being written to disk"
+HOMEPAGE="
+ https://github.com/byrnereese/mkdocs-minify-plugin
+ https://pypi.org/project/mkdocs-minify-plugin/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-1.0.4[${PYTHON_USEDEP}]
+ >=app-text/htmlmin-0.1.4[${PYTHON_USEDEP}]
+ >=dev-python/jsmin-2.2.2[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/mkdocs_pymdownx_material_extras/Manifest b/dev-python/mkdocs_pymdownx_material_extras/Manifest
index 04bba5ab124e..5aa8f12a61fe 100644
--- a/dev-python/mkdocs_pymdownx_material_extras/Manifest
+++ b/dev-python/mkdocs_pymdownx_material_extras/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs_pymdownx_material_extras-1.0.7.tar.gz 17995 BLAKE2B a7a8715ec07b9ef5551eadb37e618f45ca2f8f3c707aa5269eb7d2587db70ba29cfaa8027bb606c4264bbf93d7b3950d7a5dc03640b71afc677658b044d064fa SHA512 33fe8fddd0ee5856fdfb02068e2698f26a8db139458d7736715b776fbc2d8ae8ccb3170dbb786c52338e4e7a1612006046eb429f2268469f6f2bb5ba7f8e256d
DIST mkdocs_pymdownx_material_extras-1.1.3.tar.gz 40029 BLAKE2B faa17e6e4d27a5d5e34a98a6830e34b934f8623fafb87a73051eb424cf95d29c5dd185bbfbbe49dd3e93eeee00a8310ac0543d480ab70e5abee4047b1cecc774 SHA512 340818ebcd8f9cf175e5049028d0932a0d6208de3d8f86cf5ea47747680079c6b9b3bf27e0c32ee10ee6a1bc7ab8ffc6cc3aa48470be43ed32adfde74f44d5dd
DIST mkdocs_pymdownx_material_extras-1.4.0.tar.gz 41238 BLAKE2B d30f4d90822298c82bf9d7c5467d2f022664adee9c910eac82b2b35a740b29a4b01e4e5b61677ccfa98cdd9691032f67b9004065a405712b1d997b70615fec23 SHA512 a3131052d2b2d5619a487edcc5ea8b7b5386a4671ac210028fa72525610a0e86117ccaf3b095f64d2438c49e135a721d8312cae1c44de16bb699822e54b958a6
+DIST mkdocs_pymdownx_material_extras-1.5.4.tar.gz 23911 BLAKE2B e78216219a6f66c287c2f556e2e593eccee53529092c5b571593ff6635b0657a23ff83e894fa3d8dda37bb65842d1da434dcf540a9c390927f47c95da189c253 SHA512 77e315cfdb659a13d92e89096bef26a10397e079338f57aac1141ef6000e06705b96d820478ffa6e7827c7873130fbfc6b32a29e1a145d6c788df160e339a758
diff --git a/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-1.5.4.ebuild b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-1.5.4.ebuild
new file mode 100644
index 000000000000..bd3392b9519c
--- /dev/null
+++ b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-1.5.4.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Custom alterations based on Mkdocs-Material"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs_pymdownx_material_extras
+ https://pypi.org/project/mkdocs-pymdownx-material-extras"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-5.0.2[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index fbe956811828..65ece1798b35 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -1,8 +1,12 @@
DIST numpy-1.21.1.zip 10259878 BLAKE2B ba5d8eb2d294e199c86d8e96026d148098f5716398e730e0fdfee3b710fd01cb6e877973471d7751a2e558c2eaeb626fe9ce5ea4b03a7e4f8e5dc42b852d5b7c SHA512 694100915f4e2917d70a83e7fcdad30c85ffad8f5ad8d164c89287846c1b746c2b577233bacf53e8d8ca5147391f46065a2cabf100957bb8841dee4a042bc1f5
DIST numpy-1.21.2.zip 10264801 BLAKE2B 2d88506faa5bc767a16c000f201559917d800fd205c75f30c1e61d4b34e214b376da9876e96186914f9fe23bf033a305bf9212f593841407e3bf4e516b5982a6 SHA512 ad08110d9a73a73ef1a546de5fcd6dfe600c17b396f629c3a19ade7b3f226688cf7524fed78c035fd4ddda135e2bcf9facb5e061fb59640b424da2ed070c4184
+DIST numpy-1.21.3.zip 10269351 BLAKE2B 60fc96d91e2c4e0b1c6ee409e02640686fe257f5addbb17229568f591551ea3c415c4aac97b7cdb161b88ce436e42a766b161bd5a82f8cb66fff6771c0097bd3 SHA512 8fbe4e8543b72ad5203d5b122eb3d875e48965682945898e54f4ce82cf790713dfd9185b8b12439aefa86bf25209ea25d04ec3ca2aa2b8d2f32d69358421b792
DIST numpy-html-1.21.1.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.2.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
+DIST numpy-html-1.21.3.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-ref-1.21.1.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.2.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
+DIST numpy-ref-1.21.3.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-user-1.21.1.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.2.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
+DIST numpy-user-1.21.3.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
diff --git a/dev-python/numpy/numpy-1.21.3.ebuild b/dev-python/numpy/numpy-1.21.3.ebuild
new file mode 100644
index 000000000000..7e6d544d571b
--- /dev/null
+++ b/dev-python/numpy/numpy-1.21.3.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
+
+DOC_PV=${PV}
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="https://numpy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.zip
+ doc? (
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
+ )"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ app-arch/unzip
+ >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
+ lapack? ( virtual/pkgconfig )
+ test? (
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/numpy-1.21.0-no-hardcode-blasv2.patch
+)
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_prepare_all() {
+ if use lapack; then
+ local incdir="${EPREFIX}"/usr/include
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = ${incdir}
+ library_dirs = ${libdir}
+ blas_libs = cblas,blas
+ [lapack]
+ library_dirs = ${libdir}
+ lapack_libs = lapack
+ EOF
+ else
+ export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+ fi
+
+ export CC="$(tc-getCC) ${CFLAGS}"
+
+ append-flags -fno-strict-aliasing
+
+ # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+ # with the subtle difference that we don't want to break Darwin where
+ # -shared is not a valid linker argument
+ if [[ ${CHOST} != *-darwin* ]]; then
+ append-ldflags -shared
+ fi
+
+ # only one fortran to link with:
+ # linking with cblas and lapack library will force
+ # autodetecting and linking to all available fortran compilers
+ append-fflags -fPIC
+ if use lapack; then
+ NUMPY_FCONFIG="config_fc --noopt --noarch"
+ # workaround bug 335908
+ [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
+ fi
+
+ # don't version f2py, we will handle it.
+ sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
+
+ # disable fuzzed tests
+ find numpy/*/tests -name '*.py' -exec sed -i \
+ -e 's:def \(.*_fuzz\):def _\1:' {} + || die
+ # very memory- and disk-hungry
+ sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ export MAKEOPTS=-j1 #660754
+
+ distutils-r1_python_compile ${NUMPY_FCONFIG}
+}
+
+python_test() {
+ local deselect=(
+ numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
+ )
+
+ distutils_install_for_testing --single-version-externally-managed \
+ --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
+
+ cd "${TEST_DIR}/lib" || die
+ epytest ${deselect[@]/#/--deselect }
+}
+
+python_install() {
+ # https://github.com/numpy/numpy/issues/16005
+ local mydistutilsargs=( build_src )
+ distutils-r1_python_install ${NUMPY_FCONFIG}
+ python_optimize
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+
+ if use doc; then
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index 0878fd4b2ba9..13cbde5f79e7 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.11.1.tar.gz 261397 BLAKE2B b281da14eea5e9038af0d79ed07531d0006294d63ff4cabc308a460f1107a7d045793383d200dd2dd63e18b43cea838dfe245b675dbc5c308960c105348e5e26 SHA512 ea33cfdad8c01986291e07b906011f4104995f26a88b2775e155fe4abc28f6f5e224b15d4150a246ef1e134d72bd3dc6f534f7c0d370ca99d5f15cd84e10ccde
+DIST seaborn-0.11.2.tar.gz 268839 BLAKE2B b1ba3a76431843921f01f714e601ebe7ed87a8c4136acb65a7cdb89059d67cb136484cb968efd713a5260caa552673efd5d06898a69624b36311fd3908f00179 SHA512 f08fe82b4ecca2b140a953c89bb7f811255d00ec819225809bb224aadde161ddabdeaf5cab53e3558bb84334cee828baafe0ee5efe465e80875a0513fb1ab9ac
diff --git a/dev-python/seaborn/seaborn-0.11.2.ebuild b/dev-python/seaborn/seaborn-0.11.2.ebuild
new file mode 100644
index 000000000000..faf5f1543309
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.11.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="https://seaborn.pydata.org https://github.com/mwaskom/seaborn"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+"
+BDEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+ epytest
+}
diff --git a/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r3.ebuild b/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild
index dc566aedbc35..5441390c93b1 100644
--- a/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r3.ebuild
+++ b/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.1-r4.ebuild
@@ -16,7 +16,7 @@ KEYWORDS="amd64 arm ~arm64 ~ppc64 ~riscv x86"
IUSE=""
RDEPEND="
- <dev-python/setuptools_scm-6.1.0[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
"
BDEPEND="${RDEPEND}"
diff --git a/dev-python/tzlocal/Manifest b/dev-python/tzlocal/Manifest
index 5820c783f330..a1fa8cebd1e9 100644
--- a/dev-python/tzlocal/Manifest
+++ b/dev-python/tzlocal/Manifest
@@ -1,3 +1,4 @@
DIST tzlocal-2.1.gh.tar.gz 18463 BLAKE2B 73e886cfb6d13bebc1a15a222da60f368a15dc5a097acac74990b1d76bdaa229be8f12ff735d1828ccd78c4c8d06eb5bc0a07da695d70251af1e67e4fb71037e SHA512 2679cebdc2692d9e0e1c9b714994ad881896f53e75ef407229a67c9fee9d27617638a2919865cb67e21e2bbd6e3bc13f2568343037e06603236f25a96aa6863d
DIST tzlocal-3.0.gh.tar.gz 18924 BLAKE2B 340739015ce0fae245ddcb2d3f6250886261a81a49c9db7960515e178090183d3a826ee494763503023c033d3d9c19771aad865d4c1150350a118250aab23362 SHA512 9060eb325783d183bfaf7038476031a2ea22fd4ba50f6b5caf3d8eda15d9c90e557c64a0218c7e3c3df51f385378fe8a17f10871abb038012e1d05a9547918c3
+DIST tzlocal-4.0.1.gh.tar.gz 22737 BLAKE2B 0b84ab7ac80397d2d72e0627d3766e1f6a6402c3d0505f0ff0fc02fc524b372a92e0fe948f1f8ec59b0ccfae64f8240bddc8800fe988627a87aec5b8937a6df9 SHA512 0e83e9cba7d74690677d32087a82a54bf1f80dde121d6eed80ca0a80851832ef197cfab07728353619904706b989bbb4c9ca1736e7e1e6c710ad4ec93f74ac22
DIST tzlocal-4.0.gh.tar.gz 22582 BLAKE2B 35ef0b9f64e0b2758ecda19669957666ffcd807197cfef74583d94a3e2ca01811e55b27228522723dec140dd4ede69e30585d850f03f55db084d975e871d2f63 SHA512 8bb31f3d85256aaab2a803c34ea35677a25ae2bf339d54a1fb4466d035631d9f22ea465448d7905d607a17c6b1180cbc619ce06b39c3ebe724270bc048bd96ed
diff --git a/dev-python/tzlocal/tzlocal-4.0.1.ebuild b/dev-python/tzlocal/tzlocal-4.0.1.ebuild
new file mode 100644
index 000000000000..948453243c09
--- /dev/null
+++ b/dev-python/tzlocal/tzlocal-4.0.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="tzinfo object for the local timezone"
+HOMEPAGE="https://github.com/regebro/tzlocal"
+SRC_URI="https://github.com/regebro/tzlocal/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/pytz_deprecation_shim[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' python3_8 pypy3)"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch b/dev-python/urwidtrees/files/urwidtrees-1.0.3-no-mock-dep.patch
index d26d23e085fe..d26d23e085fe 100644
--- a/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
+++ b/dev-python/urwidtrees/files/urwidtrees-1.0.3-no-mock-dep.patch
diff --git a/dev-python/urwidtrees/urwidtrees-1.0.3.ebuild b/dev-python/urwidtrees/urwidtrees-1.0.3.ebuild
index 11415e96459d..eb7d42ea8237 100644
--- a/dev-python/urwidtrees/urwidtrees-1.0.3.ebuild
+++ b/dev-python/urwidtrees/urwidtrees-1.0.3.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="amd64 ~x86"
RDEPEND=">=dev-python/urwid-1.1.0[${PYTHON_USEDEP}]"
PATCHES=(
- "${FILESDIR}"/${PN}-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch #770391
+ "${FILESDIR}"/${P}-no-mock-dep.patch #770391
)
distutils_enable_sphinx docs/source
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 3b5762e752fe..36503331b2a2 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,2 +1,3 @@
DIST xmlschema-1.7.1.tar.gz 372165 BLAKE2B a534c42d5405eefdfd0c595f1ea02a703c8f5a225f9a46ea4fe9885d09de4b87bc5ddb470fabaf3e01093012346247d34fd56495641815fe04f4fa1919f9f53f SHA512 4ad8ef9d91aa2e0b06d64aa06cc380898976c8c1b4efe049b67948b4534bb8edc3a3450cf5e242a004a039e8e29b23954138a0192ac6355fdeecb77e6284c3d9
DIST xmlschema-1.8.0.tar.gz 379305 BLAKE2B dcc3fc5860dede681912f578b548bfe39feb5fda3dd7c5f0ed7f85fce247489d492b062b789acce6679cab835b31c1f77eb82ae43b83c5af5b749a4e93c991d1 SHA512 b4622030e959383729074554e80606dce6e731b9c4e3393c60a02d592acf66f07e50f12d65867fad31e18494e04a8bb1bdadcf22f110d91708e8a0fa89848e2e
+DIST xmlschema-1.8.1.tar.gz 390835 BLAKE2B 5ba4e37bc52402a939e3c6508bb3d2cca33b85d73db9be375295de62587bae638d498435198a4b25bc6858bad19a89d14a11870774c631bcc9f1b22bb1c41f4c SHA512 741477d006270deb4a1d1b13bb404c6f4917047b0f68e85727a2dfe239a59f36f4160a6a88f26514a05865219a16ccbaa26bc319b06ac867aeabe008a778ddf8
diff --git a/dev-python/xmlschema/xmlschema-1.8.1.ebuild b/dev-python/xmlschema/xmlschema-1.8.1.ebuild
new file mode 100644
index 000000000000..4980f9b98bb3
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.8.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/elementpath-2.3.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}